/*
 * Eksempel-fil for oevelse 3: Bemaerk, at klassen hedder Grafisk (fordi der
 * allerede er et eksempel, der hedder Grafik
 *
 */

import java.awt.Graphics;      //Henter klassen Graphics i pakken java.awt

import java.awt.Color;         //Henter klassen Color samme sted
import java.awt.Font;          //Henter klassen Font

/*
 *   
 */

public class Grafisk extends java.applet.Applet {

     // Grafisk er en klasse, der udvider Applet-klassen i pakke java.applet

    public void paint(Graphics g) {
	// metoden paint overskrives - Men kun den, der har klassen Graphics
        // som paramter

        /* 
         * paint() kaldes hver gang run-time (browser - appletviewer - Windows)
         */

	g.drawLine(1,1,100,100);        // tegner linie af (1,1) til (100,100)
        g.drawRect(100,100,50,50);      // tegner en firkant med oeverste, venstre
                                        // hjoerne i (100,100) og sidelaengde (50,50)
        g.fillRect(150,150,60,60);      // En sort firkant med sidelaengde 60

        g.setColor(Color.red);          // saet tegnefarven paa objektet g til roed

        /*
         *  Color.red henviser til en variabel ved navn roed i klassen Color.
         *  red er en 'static'-variabel - en saakaldt klassevariabel. Den eksisterer
         *  altsaa i klassen - ikke i objekter af klassen Color. Det er altsaa
         *  ikke noedvendig at oprette et objekt for at bruge den variabel.
         *  (red er ioevrigt ogsaa final - man kan altsaa ikke aendre vaerdien af roed -
         *  Ifoelge konventionen burde den have vaeret skrevet RED)
         */ 


        g.drawLine(1,1,400,200);        // Slaa en roed streg
        g.drawLine(400,1,1,200);        // Slaa den anden roede streg

        g.drawString("En slags figur",180,220);

        g.setColor(Color.black);        // Saet tegnefarve til sort (igen)      

        g.setFont(new Font("TimesRoman", Font.BOLD, 20));
                                        // Oprettet et midlertidigt objekt af klassen
                                        // Font, som indeholder font-typen Times Roman
                                        // almindelig skrift og punktstoerrelse 20
                                        // Objektet bruges til at saette font i g-objektet
        g.drawString("En fed Times Roman (eller noget der ligner)", 10, 240);

        g.setColor(Color.red);          // Saet igen tegnefarve til roed
        g.setFont(new Font("TimesRoman", Font.BOLD+Font.ITALIC, 25));
                                        // 
        g.drawString("Alle ting paa en gang", 10, 350);

    }
}
