import java.awt.* ;
import javax.swing.* ;
import java.awt.event.* ;

// Se klassen SwingApplet for kommentarer om det, der ikke handler
// om Applet -> Application konvertering.

// Definer en "ny" applet

public class SwingPjat extends JApplet {

	// Kaldes nr klassen kres som applet:
	public void init() {
		SwingRamme ramme = new SwingRamme () ;
	}
	
	// Kaldes nr klassen kres som applikation:
	public static void main (String args []) {

		SwingRamme ramme = new SwingRamme ();
	}
}

//
// SwingApplet-definitionen er nu en package-klasse, ved navn SwingRamme
//
class SwingRamme extends JFrame implements ActionListener {

	JButton knap = null ;
	JLabel etiket = null ;
	JPanel pane = null;
	int taeller =0;

// 
// Undtagen hvor anfrt er metoden SwingRamme() identisk med init() i SwingApplet
// SwingRamme () er konstruktor for klassen SwingRamme
//
	SwingRamme () {
	
	// Frst undtagelse - Rammen skal vide, hvor stor den er.
	setSize (400,400);

        knap = new JButton("Tryk mig!");
	knap.setBounds(10,10,100,20);
	knap.setToolTipText("S tryk da for pokker - Kan det g galt?");
	knap.addActionListener(this);

        etiket = new JLabel("Du har ikke trykket endnu");
	etiket.setToolTipText("Hmm ");
	etiket.setBounds(10,40, 200, 20);

        pane = new JPanel();
	pane.setLayout(null);
        pane.add(knap);
        pane.add(etiket);
        getContentPane().add(pane, BorderLayout.CENTER);

	// 2. undtagelser - Rammen skal gres synlig...
	setVisible (true);
	}

 
	public void actionPerformed(ActionEvent e) {
		// behandling af hndelsen e som KUN kan komme
                // fra knap-komponenten
		taeller = taeller + 1;
		etiket.setText("Av! jeg er trykket " + taeller + " gange");
	}

}
